Probatix Documentation
Probatix Diagnostics API v1

Retrieves the collection of DiagnosticOrder resources.

Retrieves the collection of DiagnosticOrder resources.

GET
/v1/diagnostic_orders

Retrieves the collection of DiagnosticOrder resources.

X-API-TOKEN<token>

In: header

Query Parameters

page?integer

The collection page number

createdAt[gt]?string

Return resources with `createdAt` greater than the given timestamp.

createdAt[gte]?string

Return resources with `createdAt` greater than or equal to the given timestamp.

createdAt[lt]?string

Return resources with `createdAt` less than the given timestamp.

createdAt[lte]?string

Return resources with `createdAt` less than or equal to the given timestamp.

diagnosticOrder[]?array<string>

Filter by identifier, IRI, or canonical identifier.

diagnosticTest[]?array<string>

Filter by identifier, IRI, or canonical identifier.

json_exact?object

Exact match on JSON scalar values at dot-separated object paths. Supported roots: metadata. Example values: json_exact[metadata.id][]=externalId&json_exact[metadata.id][]=anotherId.

json_exists[metadata.yourReference1]?boolean

Filter by whether a dot-separated JSON object path exists and is not null. Supported roots: metadata. Examples: json_exists[metadata.yourReference1]=true and json_exists[metadata.yourReference1]=false.

json_search?object

Case-insensitive partial match on JSON scalar values at dot-separated object paths. Supported roots: metadata. Example values: json_search[metadata.id][]=externalId&json_search[metadata.id][]=anotherId.

sort[createdAt]?string

DiagnosticOrder sort[createdAt]

Allowed values: "asc", "desc", "ASC", "DESC"

sort[id]?string

DiagnosticOrder sort[id]

Allowed values: "asc", "desc", "ASC", "DESC"

Header Parameters

accept-language?string

Language for Errors and Translatable properties

Allowed values: "de", "en", "fr"

Response Body

curl -X GET "https://example.com/v1/diagnostic_orders?json_exact%5Bmetadata.yourReference1%5D=externalId&json_exact%5Bmetadata.yourReference1%5D=anotherId&json_search%5Bmetadata.yourReference1%5D=externalId&json_search%5Bmetadata.yourReference1%5D=anotherId" \  -H "accept-language: de"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "diagnosticTests": [      "/entity/1"    ],    "createdAt": "2019-08-24T14:15:22Z",    "fulfilledAt": "2019-08-24T14:15:22Z",    "shipmentTracking": {      "provider": "DHL",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "trackingCode": "string",      "url": "string",      "shipmentStatus": "confirmed",      "providerStatus": "string",      "rawProviderHistory": [        "string"      ]    },    "shippingAddress": {      "address1": "string",      "address2": "string",      "zip": "string",      "city": "string",      "countryCode": "DE",      "firstName": "string",      "lastName": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "phone": "string",      "company": "string",      "name": "string"    },    "metadata": [      "string"    ]  }]